Bug 506031 - problems with intel xorg on IBM X40 [NEEDINFO]
problems with intel xorg on IBM X40
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
: Triaged
: asusA3500L/intel852gm (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-15 06:55 EDT by infinature
Modified: 2010-06-28 09:01 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 09:01:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mcepl: needinfo? (infinature)


Attachments (Terms of Use)
xorg configuration and log files (22.32 KB, application/x-gzip)
2009-06-16 03:59 EDT, infinature
no flags Details
dmesg from the tarball in attachment 348056 (30.30 KB, text/plain)
2009-06-16 18:35 EDT, Matěj Cepl
no flags Details
dmesg.old from the tarball in attachment 348056 (30.22 KB, text/plain)
2009-06-16 18:35 EDT, Matěj Cepl
no flags Details
xorg.conf from the tarball in attachment 348056 (802 bytes, text/plain)
2009-06-16 18:36 EDT, Matěj Cepl
no flags Details
Xorg.0.log from the tarball in attachment 348056 (56.26 KB, text/plain)
2009-06-16 18:36 EDT, Matěj Cepl
no flags Details
Xorg.0.log.old from the tarball in attachment 348056 (81.07 KB, text/plain)
2009-06-16 18:36 EDT, Matěj Cepl
no flags Details
Xorg.1.log from the tarball in attachment 348056 (4.55 KB, text/plain)
2009-06-16 18:36 EDT, Matěj Cepl
no flags Details
Xorg.1.log.old from the tarball in attachment 348056 (4.55 KB, text/plain)
2009-06-16 18:36 EDT, Matěj Cepl
no flags Details
Xorg.2.log from the tarball in attachment 348056 (4.55 KB, text/plain)
2009-06-16 18:36 EDT, Matěj Cepl
no flags Details
Xorg.2.log.old from the tarball in attachment 348056 (4.55 KB, text/plain)
2009-06-16 18:36 EDT, Matěj Cepl
no flags Details
Xorg.3.log from the tarball in attachment 348056 (4.55 KB, text/plain)
2009-06-16 18:37 EDT, Matěj Cepl
no flags Details
Xorg.3.log.old from the tarball in attachment 348056 (4.55 KB, text/plain)
2009-06-16 18:37 EDT, Matěj Cepl
no flags Details
Xorg.4.log from the tarball in attachment 348056 (4.55 KB, text/plain)
2009-06-16 18:37 EDT, Matěj Cepl
no flags Details
Xorg.4.log.old from the tarball in attachment 348056 (4.55 KB, text/plain)
2009-06-16 18:37 EDT, Matěj Cepl
no flags Details
Xorg.5.log from the tarball in attachment 348056 (4.55 KB, text/plain)
2009-06-16 18:37 EDT, Matěj Cepl
no flags Details
Xorg.5.log.old from the tarball in attachment 348056 (4.55 KB, text/plain)
2009-06-16 18:37 EDT, Matěj Cepl
no flags Details
/var/log/dmesg (30.58 KB, text/plain)
2009-06-27 06:21 EDT, Adrien Rebollo
no flags Details
/var/log/Xorg.0.log (58.77 KB, text/plain)
2009-06-27 06:22 EDT, Adrien Rebollo
no flags Details

  None (edit)
Description infinature 2009-06-15 06:55:38 EDT
Basically the XORG default intel driver does not work completely on the IBM X40. I understand that the X40 is not the newest equipment, however it still get used. With Fedora11 my device:

00:02.0 VGA compatible controller: Intel Corporation 82852/855GM Integrated Graphics Device (rev 02)
00:02.1 Display controller: Intel Corporation 82852/855GM Integrated Graphics Device (rev 02)

gets severe visual artifact across the screen with the use of graphics like the GOOM visualisation on Movie Player and the Electricsheep screensaver. Otherwise everything seems to be fine. Traditionally my hardware has needed a sitback to the i810 driver, however when this is hardcoded in the xorg.conf on Fedora11, XORG fails to start up.

I have tried the suggestions in http://fedoraproject.org/wiki/Common_F11_bugs#Miscellaneous_problems_with_Intel_graphics_adapters

none of these suggestions work. The nomodeset kernel option makes the xorg server crash on startup/login. the sitbacks to the other two Acceleration modes provide no change in functionality that I can see, in particular, no change to the visual artifact problem.

Any help on this would be appreciated.
Comment 1 infinature 2009-06-15 06:56:52 EDT
the visual artifact is a kind of checkerboard type pattern across the entire screen in approximate height of the visualisation (GOOM)
Comment 2 Matěj Cepl 2009-06-15 08:53:28 EDT
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf, if available), /var/log/dmesg, and X server log file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file attachments using the bugzilla file attachment link below.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 3 infinature 2009-06-16 03:59:13 EDT
Created attachment 348056 [details]
xorg configuration and log files

I know I was supposed to send them individually, but this is all the files on it like which you requested in tar.gz.  thanks for looking into this. appreciated.
Comment 4 Matěj Cepl 2009-06-16 18:35:45 EDT
Created attachment 348179 [details]
dmesg from the tarball in attachment 348056 [details]
Comment 5 Matěj Cepl 2009-06-16 18:35:54 EDT
Created attachment 348180 [details]
dmesg.old from the tarball in attachment 348056 [details]
Comment 6 Matěj Cepl 2009-06-16 18:36:01 EDT
Created attachment 348181 [details]
xorg.conf from the tarball in attachment 348056 [details]
Comment 7 Matěj Cepl 2009-06-16 18:36:12 EDT
Created attachment 348182 [details]
Xorg.0.log from the tarball in attachment 348056 [details]
Comment 8 Matěj Cepl 2009-06-16 18:36:23 EDT
Created attachment 348183 [details]
Xorg.0.log.old from the tarball in attachment 348056 [details]
Comment 9 Matěj Cepl 2009-06-16 18:36:32 EDT
Created attachment 348184 [details]
Xorg.1.log from the tarball in attachment 348056 [details]
Comment 10 Matěj Cepl 2009-06-16 18:36:39 EDT
Created attachment 348185 [details]
Xorg.1.log.old from the tarball in attachment 348056 [details]
Comment 11 Matěj Cepl 2009-06-16 18:36:47 EDT
Created attachment 348186 [details]
Xorg.2.log from the tarball in attachment 348056 [details]
Comment 12 Matěj Cepl 2009-06-16 18:36:54 EDT
Created attachment 348187 [details]
Xorg.2.log.old from the tarball in attachment 348056 [details]
Comment 13 Matěj Cepl 2009-06-16 18:37:02 EDT
Created attachment 348188 [details]
Xorg.3.log from the tarball in attachment 348056 [details]
Comment 14 Matěj Cepl 2009-06-16 18:37:10 EDT
Created attachment 348189 [details]
Xorg.3.log.old from the tarball in attachment 348056 [details]
Comment 15 Matěj Cepl 2009-06-16 18:37:18 EDT
Created attachment 348190 [details]
Xorg.4.log from the tarball in attachment 348056 [details]
Comment 16 Matěj Cepl 2009-06-16 18:37:25 EDT
Created attachment 348191 [details]
Xorg.4.log.old from the tarball in attachment 348056 [details]
Comment 17 Matěj Cepl 2009-06-16 18:37:33 EDT
Created attachment 348192 [details]
Xorg.5.log from the tarball in attachment 348056 [details]
Comment 18 Matěj Cepl 2009-06-16 18:37:40 EDT
Created attachment 348193 [details]
Xorg.5.log.old from the tarball in attachment 348056 [details]
Comment 19 Adrien Rebollo 2009-06-27 06:20:19 EDT
I have the same problem with my X40, when viewing an image with gthumb or eog. The display becomes corrupted across the screen, on all the height of the image.
I will attach my own dmesg and Xorg log files.
Comment 20 Adrien Rebollo 2009-06-27 06:21:20 EDT
Created attachment 349644 [details]
/var/log/dmesg
Comment 21 Adrien Rebollo 2009-06-27 06:22:36 EDT
Created attachment 349645 [details]
/var/log/Xorg.0.log
Comment 22 Matěj Cepl 2009-07-02 07:42:54 EDT
*** Bug 508574 has been marked as a duplicate of this bug. ***
Comment 23 Alexander 2009-07-04 04:24:24 EDT
when desktop effects are on, there is no problem
Comment 24 Adrien Rebollo 2009-07-31 06:25:17 EDT
I confirm that the display problems are solved when desktop effects are on. But the print screen function saves a corrupted image, with or without desktop effects.
Comment 25 Alexander 2009-08-01 11:17:24 EDT
how to fix (thnx forums):

run in terminal under root
Xorg -configure :1

- in a home directory appears xorg.conf.new

edit it to get something like this:

Section “Device”
Identifier  “Configured Video Device”
Driver      “intel”
Option      “Tiling”                “false”
EndSection

- and save it into /etc/X11/xorg.conf
reboot.

have fun!
Comment 27 Matěj Cepl 2009-11-05 13:32:04 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 28 Bug Zapper 2010-04-27 10:56:16 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 29 Bug Zapper 2010-06-28 09:01:40 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.